[ios redirects][li-00138883] Firefox for iOS and Firefox Focus for iOS and Firefox Klar for iOS in-product URLs

RESOLVED INVALID

Status

RESOLVED INVALID
2 years ago
10 months ago

People

(Reporter: rolandtanglao, Assigned: rolandtanglao)

Tracking

Details

(Whiteboard: [li-00138883], URL)

+++ This bug was initially created as a clone of Bug #1350389 +++


In the "ios inproduct links" redirect spreadsheet:
 https://docs.google.com/spreadsheets/d/1p8wdaF8Oe6Am2HeqgvY2kOhR0HZf1i77gxzniN-PCDw/edit#gid=0 [1]

Please redirect all links   in column A to the links in Column B

Note [1] covers all iOS in product links except what's new in Firefox for iOS 7.0 which was covered by a separate spreadsheet in bug 1350389

Note SUMO can't do that, only Lithium can do redirects so we asked Lithium to do it in Case 00138883 aka https://supportcases.lithium.com/5006100000AdFwE on Monday April 10th, 2017
No longer depends on: 1350389
Summary: [ios redirects][li-00138883] Firefox for iOS and Firefox Focus for iOS and Firefox Klar for iOS → [ios redirects][li-00138883] Firefox for iOS and Firefox Focus for iOS and Firefox Klar for iOS in-product URLs
here's the reply from lithium at 2:49a.m. 
tl;dr ready on stage

BEGIN copy and paste from Lithium's closed support case system

Created By: Steven Treglown (4/11/2017 2:49 AM) | Last Modified By: Steven Treglown (4/11/2017 2:49 AM)
[Recipients: Sumo Team]

Hi team,

The redirects are setup on stage.
Would you mind taking a moment to review these and let me know if you approve for these to be setup and deployed to your production instance.

Regards,
Steve

END copy and paste from Lithium's closed support case system
OS: Mac OS X → All
Hardware: x86 → All
all 60 links pass on stage! I have asked Lithium in case 00138883 to push to production

report of ALL PASSINGL
https://github.com/rtanglao/rt-li-sumo-redirects/blob/master/STAGE-stdout.11april2017-case-00138883-ios-inproduct-links.md


BEGIN test report FROM: https://github.com/rtanglao/rt-li-sumo-redirects/blob/master/README.md#11april2017-testing-ios-in-product-links---case-00138883-aka-bug-1355701

     all 60 pass on stage, yay

./stage-test-797-redirects.rb 11apri2017-case-00138883-ios\ inproduct\ links\ -\ iOS.csv  \
>STAGE-stdout.11april2017-case-00138883-ios-inproduct-links.md \
2>STAGE-stderr.11april2017-case-00138883-ios-inproduct-links.txt &
wc -l STAGE-stdout.11april2017-case-00138883-ios-inproduct-links.txt
60
grep PASS STAGE-stdout.11april2017-case-00138883-ios-inproduct-links.txt
690

END test report
:st3fan once the links have been pushed to production and they pass tests, i will needinfo you to test your iOS code changes.
Whiteboard: [li=00137745] → [li-00138883]
BEGIN COPY AND PASTE FROM Lithium's non public system

Created By: Steven Treglown (4/12/2017 1:54 PM)
[Recipients: Sumo Team]

Hi Roland,

I have scheduled this to go out during Thursday evening's maintenance window for production deployment.

I will check back in again with you after this has been completed.

Regards,
Steve

END COPY AND PASTE FROM Lithium's non public system
hi :st3fan, all 60 links pass
Created By: Sumo Team (4/13/2017 1:53 PM)
Thank-you Steven: All 60 pass

https://github.com/rtanglao/rt-li-sumo-redirects/blob/master/PRODUCTION-stdout.13april2017-case-00138883-ios-inproduct-links.md

Please close.

Cheers!
...Roland

Needinfo'ing you to test your changes!
Flags: needinfo?(sarentz)

Updated

a year ago
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → INVALID

Updated

10 months ago
Flags: needinfo?(sarentz)
You need to log in before you can comment on or make changes to this bug.